Bug 508988 - stop using rhpl
stop using rhpl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: rhplectomy 516996
  Show dependency treegraph
 
Reported: 2009-06-30 14:29 EDT by Jeremy Katz
Modified: 2009-09-14 12:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 12:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2009-06-30 14:29:21 EDT
system-config-network uses rhpl for a few things, some of which are only ever used by rhpl.  We are trying to drop rhpl for Fedora 12, so you'll need to move those bits into system-config-network itself (rhpl.iwlib and rhpl.ethtool)

The translation bits should be relatively straightforward to replace with something like:
  import gettext
  _ = lambda x: gettext.ldgettext(domain, x)
  N_ = lambda x: x 
except for the fact that you're overriding __builtins__["_"] which you really can't do with this pattern as you can't always know what the domain is going to be.
Comment 1 Bill Nottingham 2009-07-14 11:35:18 EDT
For ethtool, note there is a python-ethtool package in Fedora already.
Comment 2 Harald Hoyer 2009-07-14 12:03:21 EDT
Jiri, can you please take care of this?
Comment 3 Harald Hoyer 2009-07-16 10:56:49 EDT
Assigning to Jiri Popelka
Comment 5 Harald Hoyer 2009-09-14 12:20:51 EDT
fixed in 1.5.99

Note You need to log in before you can comment on or make changes to this bug.